/*
 * Copyright © 2015-2016, Verizon and/or its Licensors. All rights reserved.
 */

package com.thingspace.files.adapters.viewholders;

import android.support.v7.widget.RecyclerView;
import android.view.View;
import android.widget.ImageView;

import com.thingspace.files.R;
import com.thingspace.files.listeners.RecyclerViewClickListener;

/**
 * Recycler view holder for grid view.
 */
public class RecyclerViewGridHolder extends RecyclerView.ViewHolder implements View.OnClickListener, View.OnLongClickListener {

    public ImageView imageView;
    private RecyclerViewClickListener recyclerViewClickListener;

    public RecyclerViewGridHolder(View view, RecyclerViewClickListener recyclerViewClickListener) {
        super(view);
        this.imageView = (ImageView) view.findViewById(R.id.image);
        view.setOnClickListener(this);
        view.setOnLongClickListener(this);
        this.recyclerViewClickListener = recyclerViewClickListener;
    }

    @Override
    public void onClick(View v) {
        recyclerViewClickListener.onListItemClicked(v, this.getLayoutPosition());
    }

    @Override
    public boolean onLongClick(View v) {
        recyclerViewClickListener.onListItemLongClicked(v, this.getLayoutPosition());
        return true;
    }
}
